//
//  SXVETrackModel.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/25.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>
#import <VEEdit/SXVideoEdit.h>
NS_ASSUME_NONNULL_BEGIN

typedef enum : NSUInteger {
    TrackViewTypeMain,
    TrackViewTypePip,
    TrackViewTypeFilter,
    TrackViewTypeSticker,
    TrackViewTypeText,
    TrackViewTypeAudio,
    TrackViewTypeAdjustment,
    TrackViewTypeVideoEffect
} TrackViewType;

@class SXVEGroupModel;

@interface SXVETrackModel : NSObject
@property (nonatomic, assign) TrackViewType type;

@property (nonatomic, strong) SXEditManager *editManager;

@property (nonatomic, strong) SXTrack *track;

@property (nonatomic, strong) NSString *mask;

@property (nonatomic, strong) AVAsset *asset;

@property (nonatomic, weak) SXVEGroupModel *group;


@property (nonatomic, strong) SXTextAnimationEffect *inTextAnimationEffect;
@property (nonatomic, strong) SXTextAnimationEffect *outTextAnimationEffect;
@property (nonatomic, strong) SXTextAnimationEffect *loopTextAnimationEffect;

@property (nonatomic, strong) SXTrackAnimationEffect *inTrackAnimationEffect;
@property (nonatomic, strong) SXTrackAnimationEffect *outTrackAnimationEffect;
@property (nonatomic, strong) SXTrackAnimationEffect *loopTrackAnimationEffect;

@property (nonatomic, strong) SXEffect *effect;

@property (nonatomic, strong) SXAudioItem *audioItem;

- (double)offset;

- (double)speed;

@end

NS_ASSUME_NONNULL_END
