//
//  SXVETrackModel.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/25.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVETrackModel.h"
#import "SXVEGroupModel.h"

@implementation SXVETrackModel

- (instancetype)init {
    if (self = [super init]) {
    }
    return self;
}

- (void)setTrack:(SXTrack *)track {
    _track = track;
    if (track.type == SXTrackTypeMedia) {
        SXMediaTrack *mediaTrack = (SXMediaTrack *)track;
        _asset = [AVAsset assetWithURL:[NSURL fileURLWithPath:[mediaTrack getFilePath]]];
    }else if(track.type == SXTrackTypeText) {
        SXTextTrack *textTrack = (SXTextTrack *)track;
        for (SXTextAnimationEffect *animation in [textTrack getTextAnimations]) {
            if (animation.followType == SXEffectTimeFollowTypeFollowStart) {
                _inTextAnimationEffect = animation;
            }else if (animation.followType == SXEffectTimeFollowTypeFollowEnd) {
                _outTextAnimationEffect = animation;
            }else if (animation.followType == SXEffectTimeFollowTypeFollowWholeProcess) {
                _loopTextAnimationEffect = animation;
            }
        }
    }else if(track.type == SXTrackTypeSticker) {
        SXStickerTrack *stickerTrack = (SXStickerTrack *)track;
        for (SXTrackAnimationEffect *animation in [stickerTrack getTrackAnimations]) {
            if (animation.followType == SXEffectTimeFollowTypeFollowStart) {
                _inTrackAnimationEffect = animation;
            }else if (animation.followType == SXEffectTimeFollowTypeFollowEnd) {
                _outTrackAnimationEffect = animation;
            }else if (animation.followType == SXEffectTimeFollowTypeFollowWholeProcess) {
                _loopTrackAnimationEffect = animation;
            }
        }
    }
}

- (void)setFactor:(CGFloat)factor {
//    _offset = _offset * _factor / factor;
//    _duration = _duration * _factor / factor;
//    _maxDuration = _maxDuration * _factor / factor;
//    _factor = factor;
}

- (double)offset {
    if (_track) {
        return _track.inPoint - _track.startTime;
    }else if (_audioItem) {
        return _audioItem.inPoint - _audioItem.startTime;
    }
    return 0.0;
}

- (double)speed {
    if (_track) {
        if (_group.trackGroup) {
            return [_group.trackGroup mediaTrackSpeed:_track.getTrackId];
        }
    }else if (_audioItem) {
        return _audioItem.speed;
    }
    
    return 1.0;
}
@end
