//
//  SXVETracksViewController.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/26.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
#import "SXVEMainTrackTableViewCell.h"
NS_ASSUME_NONNULL_BEGIN

typedef enum : NSUInteger {
    TrackTableViewTypeAudio,
    TrackTableViewTypeStickerAndText,
    TrackTableViewTypePip,
    TrackTableViewTypeFilterAndAdjustment,
    TrackTableViewTypeVideoEffect,
} TrackTableViewType;

@protocol SXVETracksViewControllerDelegate <NSObject>

- (CGSize)updateContentSize;

- (void)selectTrack:(SXVETrackModel *)model;

- (void)addMusic:(NSString *)musicPath;

- (void)deselectView;

@end

@interface SXVETracksViewController : UIViewController

@property (nonatomic, weak) id<SXVETracksViewControllerDelegate, SXVEMainTrackTableViewCellDelegate> delegate;

@property (nonatomic, strong) NSMutableArray *tracksArray;
@property (nonatomic, assign) CGFloat secondLength;
@property (nonatomic, assign) TrackTableViewType tableViewType;

@property (nonatomic, strong) SXAudioThumbnailCache *audioCache;

- (void)updateTracks:(CGSize)size;

- (void)updateTrackView;

- (void)selectFirstTrack;

- (void)deSelectTrackView;

- (void)selectTrack:(SXVETrackModel *)model;

@end

NS_ASSUME_NONNULL_END
