//
//  SXVEAudioRecordView.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/27.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEAudioRecordView.h"
#import "SXVEAudioRecorder.h"
@interface SXVEAudioRecordView ()  {
    BOOL _isRecording;
}
@property(nonatomic, strong) NSDate *startDate;
@property(nonatomic, strong) SXVEAudioRecorder *recorder;
@property(nonatomic, strong) NSString *recordPath;
@end

@implementation SXVEAudioRecordView

- (void)awakeFromNib {
    [super awakeFromNib];
    UILongPressGestureRecognizer *longPress = [[UILongPressGestureRecognizer alloc] initWithTarget:self action:@selector(handleLongPress:)];
    [_recordImageView addGestureRecognizer:longPress];
    _recordPath = [[SXFileManager shared] createFilePathInProjectFolder:@"wav"];
    _recorder = [[SXVEAudioRecorder alloc] initWithPath:_recordPath];
    
}

- (void)handleLongPress:(UILongPressGestureRecognizer *)gesture {
    if (gesture.state == UIGestureRecognizerStateBegan) {
        _recordImageView.image = [UIImage imageNamed:@"recording"];
        _startDate = [NSDate date];
        _isRecording = YES;
        [_recorder startRecord];
        [self updateTime];
    }else if (gesture.state == UIGestureRecognizerStateEnded || gesture.state == UIGestureRecognizerStateCancelled) {
        _recordImageView.image = [UIImage imageNamed:@"record_normal"];
        _isRecording = NO;
        [_recorder stopRecord];
        [_delegate addRecordFile:_recordPath];
        [self removeFromSuperview];
        [[AVAudioSession sharedInstance] setCategory:AVAudioSessionCategoryPlayback error:nil];
    }
}

- (void)updateTime {
    int seconds = [[NSDate date] timeIntervalSinceDate:_startDate];
    _timeLabel.text = [NSString stringWithFormat:@"%02i:%02i", seconds / 60, seconds % 60];
    if (_isRecording) {
        [self performSelector:@selector(updateTime) withObject:nil afterDelay:1.0];
    }
}

- (IBAction)finishAction:(id)sender {
    [self removeFromSuperview];
}



@end
