//
//  SXVEBackgroundView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/15.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVEBackgroundViewDelegate <NSObject>

- (void)presentViewController:(UIViewController *)viewController;

- (void)backgroundUpdate;

@end

@interface SXVEBackgroundView : UIView
@property (unsafe_unretained, nonatomic) IBOutlet UILabel *titleLabel;

@property (unsafe_unretained, nonatomic) IBOutlet UIView *colorView;
@property (unsafe_unretained, nonatomic) IBOutlet UIScrollView *colorScrollView;

@property (unsafe_unretained, nonatomic) IBOutlet UIView *styleView;
@property (unsafe_unretained, nonatomic) IBOutlet UICollectionView *styleCollectionView;

@property (nonatomic, weak) id<SXVEBackgroundViewDelegate> delegate;

@property (nonatomic, strong) SXEditManager *editManager;
@property (nonatomic, assign) BOOL isSetColor;
@end

NS_ASSUME_NONNULL_END
