//
//  SXVECollectionMenuView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/30.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN

typedef enum : NSUInteger {
    CollectionTypeFilter,
    CollectionTypeMask,
    CollectionTypeAdjustment,
    CollectionTypeAnimation,
    CollectionTypeMix
} CollectionType;

@interface SXCollectionCellModel : NSObject

@property (nonatomic, strong) NSString *title;
@property (nonatomic, strong) NSString *imagePath;
@property (nonatomic, strong) NSString *folderPath;

@end

@protocol SXVECollectionMenuViewDelegate <NSObject>

- (void)filterUpdate;

- (void)mainTrackFilterUpdate:(SXFilterEffect *)filter;

- (void)mainTrackColorAdjustUpdate:(SXColorAdjustEffect *)adjustment;

- (void)animationUpdate;

- (void)singleColorAdjustUpdate;

- (void)maskUpdateEnd;

- (void)maskUpdate;

- (void)blendeModeUpdate;

@end


@interface SXVECollectionMenuView : UIView<UICollectionViewDelegate, UICollectionViewDataSource>
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@property (weak, nonatomic) IBOutlet UIButton *leftButton;
@property (weak, nonatomic) IBOutlet UICollectionView *collectionView;
@property (weak, nonatomic) IBOutlet UIView *sliderContentView;
@property (weak, nonatomic) IBOutlet UISlider *sliderView;
@property (weak, nonatomic) IBOutlet UILabel *startLabel;
@property (weak, nonatomic) IBOutlet UILabel *endLabel;
@property (weak, nonatomic) IBOutlet UIButton *applyAllButton;

@property (nonatomic, weak) id<SXVECollectionMenuViewDelegate> delegate;
@property (nonatomic, assign) CollectionType type;
@property (nonatomic, strong) NSMutableArray *collectionArray;
@property (nonatomic, assign) NSTimeInterval duration;

@property (nonatomic, assign) float selectValue;

@property (nonatomic, strong) NSDictionary *adjustDictionary;

@property (nonatomic, strong) SXVETrackModel *model;

@property (nonatomic, assign) BOOL isSingleEffect;
@property (nonatomic, strong) SXEditManager *editManager;
@property (nonatomic, strong) SXFilterEffect *currentFilter;
@property (nonatomic, strong) SXColorAdjustEffect *colorAdujst;
@property (nonatomic, assign) double startTime;

- (void)setSelectIndex:(NSInteger)selectIndex;

@end

NS_ASSUME_NONNULL_END
