//
//  SXVEFadeView.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/28.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEFadeView.h"

@implementation SXVEFadeView

- (void)setTrackModel:(SXVETrackModel *)trackModel {
    _trackModel = trackModel;
    _fadeInSliderView.minimumValue = 0.0;
    _fadeInSliderView.maximumValue = _trackModel.audioItem.duration / 2;
    _fadeInSliderView.value = _trackModel.audioItem.fadeIn;
    _fadeOutSliderView.minimumValue = 0.0;
    _fadeOutSliderView.maximumValue = _trackModel.audioItem.duration / 2;
    _fadeOutSliderView.value = _trackModel.audioItem.fadeOut;
}

- (IBAction)fadeOutSliderChanged:(id)sender {
    _trackModel.audioItem.fadeOut = _fadeOutSliderView.value;
}

- (IBAction)fadeInSliderChanged:(id)sender {
    _trackModel.audioItem.fadeIn = _fadeInSliderView.value;
}


- (IBAction)finishAction:(id)sender {
    [self removeFromSuperview];
}
@end
