//
//  SXVEIconButton.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/18.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEIconButton.h"
const static CGFloat kImageWidth = 20.0;
const static CGFloat kTextFont = 10.0;
const static CGFloat kGap = 6.0;

@interface SXVEIconButton()

@property (nonatomic, strong) UIImageView *iconImageView;
@property (nonatomic, strong) UILabel *iconLabel;

@end

@implementation SXVEIconButton

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        CGFloat top = (frame.size.height - (kImageWidth + kTextFont + 2 + kGap)) / 2;
        CGFloat left = (frame.size.width - kImageWidth) / 2;
        _iconImageView = [[UIImageView alloc] initWithFrame:CGRectMake(left, top, kImageWidth, kImageWidth)];
        [self addSubview:_iconImageView];
        top += kImageWidth + kGap;
        _iconLabel = [[UILabel alloc] initWithFrame:CGRectMake(0.0, top, frame.size.width, kTextFont + 2)];
        _iconLabel.textColor = UIColor.whiteColor;
        _iconLabel.textAlignment = NSTextAlignmentCenter;
        _iconLabel.font = [UIFont systemFontOfSize:10];
        [self addSubview:_iconLabel];
    }
    return self;
}

- (void)setIconImage:(UIImage *)image {
    _iconImageView.image = image;
}

- (void)setIconTitle:(NSString *)title {
    _iconLabel.text = title;
}
@end
