//
//  SXVEMenuCollectionViewCell.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/30.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEMenuCollectionViewCell.h"

@implementation SXVEMenuCollectionViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    _iconImageView.layer.borderColor = [UIColor colorWithHexString:@"ff2656"].CGColor;
}

- (void)setSelected:(BOOL)selected {
    [super setSelected: selected];
    if (selected) {
        _iconImageView.layer.borderWidth = 1.0;
    }else {
        _iconImageView.layer.borderWidth = 0.0;
    }
    [_iconImageView startAnimating];
}

- (void)setTitle:(NSString *)title imagePath:(nonnull NSString *)path {
    _title = L(title);
    if (path) {
        if ([path.pathExtension isEqualToString:@"gif"]) {
            [_iconImageView setGif:path];
        }else {
            _iconImageView.image = [UIImage imageWithContentsOfFile:path];
        }
        _iconImageView.contentMode = UIViewContentModeScaleAspectFit;
    }else {
        _iconImageView.image = [UIImage imageNamed:title];
        _iconImageView.contentMode = UIViewContentModeCenter;
    }
    _titleLabel.text = L(title);
}



@end
