//
//  SXVEMenuScrollView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/18.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef enum : NSUInteger {
    MenuTypeFirst,
    MenuTypeSecond,
    MenuTypeThird
} MenuType;

@class SXVEMenuScrollView;

@protocol SXVEMenuDelegate <NSObject>

- (void)backAction:(SXVEMenuScrollView *)scrollView;

- (void)menuChoose:(SXVEMenuScrollView *)scrollView index:(NSInteger)index;

@end

@interface SXVEMenuScrollView : UIScrollView

@property (nonatomic, weak) id<SXVEMenuDelegate> menuDelegate;
@property (nonatomic, assign) MenuType menuType;
@property (nonatomic, assign) NSInteger startTag;

- (void)setMenuArray:(NSArray *)menuArray type:(MenuType)menuType startTag: (NSInteger)tag;

@end

NS_ASSUME_NONNULL_END
