//
//  SXVEMenuScrollView.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/18.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEMenuScrollView.h"
#import "SXVEIconButton.h"

const static CGFloat kButtonWidth = 68.0;
const static CGFloat kButtonGap = 0.0;
@implementation SXVEMenuScrollView

- (void)setMenuArray:(NSArray *)menuArray type:(MenuType)menuType startTag: (NSInteger)tag {
    _menuType = menuType;
    _startTag = tag;
    for (UIView *view in self.subviews) {
        [view removeFromSuperview];
    }
    CGFloat positionX = 0.0;
    
    switch (menuType) {
        case MenuTypeFirst:
            
            break;
        case MenuTypeSecond:
         {
             CGFloat backButtonHeight = self.frame.size.height - 6.0 * 2;
             CGFloat backButtonWidth = backButtonHeight / 58 * 38;
             UIButton *backButton = [[UIButton alloc] initWithFrame:CGRectMake(6.0, 6.0, backButtonWidth, backButtonHeight)];
             [self addSubview:backButton];
             positionX += 6.0 + backButtonWidth + 6.0;
             [backButton addTarget:self action:@selector(backAction) forControlEvents:UIControlEventTouchUpInside];
             [backButton setImage:[UIImage imageNamed:@"second_menu_back"] forState:UIControlStateNormal];
         }
            break;
        case MenuTypeThird:
        {
            CGFloat backButtonHeight = self.frame.size.height - 6.0 * 2;
            CGFloat backButtonWidth = backButtonHeight / 58 * 38;
            UIButton *backButton = [[UIButton alloc] initWithFrame:CGRectMake(6.0, 6.0, backButtonWidth, backButtonHeight)];
            [self addSubview:backButton];
            positionX += 6.0 + backButtonWidth + 6.0;
            [backButton addTarget:self action:@selector(backAction) forControlEvents:UIControlEventTouchUpInside];
            [backButton setImage:[UIImage imageNamed:@"third_menu_back"] forState:UIControlStateNormal];
        }
            break;
        default:
            break;
    }
    NSInteger buttonTag = tag;
    for (id content in menuArray) {
        SXVEIconButton *iconButton = [[SXVEIconButton alloc] initWithFrame:CGRectMake(positionX, 0.0, kButtonWidth, self.bounds.size.height)];
        iconButton.tag = buttonTag++;
        if ([content isKindOfClass:[NSString class]]) {
            NSString *string = content;
            [iconButton setIconImage: [UIImage imageNamed:string]];
            [iconButton setIconTitle:L(string)];
        }else {
            NSDictionary *dictionary = content;
            if (dictionary[@"icon"]) {
                [iconButton setIconImage: [UIImage imageNamed:dictionary[@"icon"]]];
            }else if (dictionary[@"imagePath"]) {
                [iconButton setIconImage: [UIImage imageWithContentsOfFile:dictionary[@"imagePath"]]];
            }
            [iconButton setIconTitle:L(dictionary[@"title"])];
        }
        [iconButton addTarget:self action:@selector(buttonAction:) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:iconButton];
        positionX += kButtonWidth + kButtonGap;
    }
    [self setContentSize:CGSizeMake(positionX - kButtonGap, self.bounds.size.height)];
}

- (void)backAction {
    [self removeFromSuperview];
    if (_menuDelegate && [_menuDelegate respondsToSelector:@selector(backAction:)]) {
        [_menuDelegate backAction:self];
    }
}

- (void)buttonAction:(SXVEIconButton *)button {
    if (_menuDelegate && [_menuDelegate respondsToSelector:@selector(menuChoose:index:)]) {
        [_menuDelegate menuChoose:self index:button.tag];
    }
}
@end
