//
//  SXVEOpacityView.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/4/15.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVEOpacityView.h"

@implementation SXVEOpacityView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

- (void)setIsVolumeView:(BOOL)isVolumeView {
    _isVolumeView = isVolumeView;
    if (_isVolumeView) {
        _titleLabel.text = L(@"volume");
        _sliderView.maximumValue = 2;
        _sliderView.minimumValue = 0;
        if (_trackModel.audioItem) {
            _sliderView.value = _trackModel.audioItem.gain;
        }else if (_trackModel.track.type == SXTrackTypeMedia) {
            SXMediaTrack *mediaTrack = (SXMediaTrack *)_trackModel.track;
            _sliderView.value = [mediaTrack getVolume];
        }
        _opaqueLabel.text = [NSString stringWithFormat:@"%.1f", _sliderView.value];
    }
}

- (IBAction)opauqeChanged:(UISlider *)sender {
    if (_isVolumeView) {
        if (_trackModel.audioItem) {
            _trackModel.audioItem.gain = sender.value;
        }else if (_trackModel.track.type == SXTrackTypeMedia) {
            SXMediaTrack *mediaTrack = (SXMediaTrack *)_trackModel.track;
            [mediaTrack setVolume:sender.value];
        }
    }else {
        [_delegate opaqueUpdate:sender.value];
    }
    _opaqueLabel.text = [NSString stringWithFormat:@"%.1f", sender.value];
}

- (IBAction)finishAction:(id)sender {
    [self removeFromSuperview];
}

@end
