//
//  SXVEStickerView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/30.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
#import "SXVEGroupModel.h"
NS_ASSUME_NONNULL_BEGIN

@protocol SXVEStickerViewDelegate <NSObject>

- (void)addGroup:(SXVEGroupModel *)group track:(SXVETrackModel *)trackModel;

- (void)addVideoEffectTrack:(SXVETrackModel *)trackModel;

- (void)updateVideoEffect;
@end

@interface SXVEStickerView : UIView

@property (nonatomic, weak) id<SXVEStickerViewDelegate> delegate;
@property (nonatomic, strong) SXEditManager *editManager;
@property (nonatomic, assign) double startTime;


@property (nonatomic, assign) BOOL isVideoEffect;
@property (nonatomic, assign) double maxDuration;
@property (nonatomic, assign) int insertIndex;
@property (nonatomic, strong) SXVEGroupModel *videoEffectGroup;
@property (nonatomic, strong) SXVideoEffect *videoEffect;

- (instancetype)initIsVideoEffect:(BOOL)videoEffect;
@end

NS_ASSUME_NONNULL_END
