//
//  SXVETrackView.h
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/18.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SXVETrackModel.h"
NS_ASSUME_NONNULL_BEGIN


@class SXVETrackView;
@protocol SXVETrackViewDelegate <NSObject>

- (void)selectTrackView:(SXVETrackView *)view;

@end

@interface SXVETrackView : UIView <SXAudioThumbDelegate>

@property (nonatomic, weak) id<SXVETrackViewDelegate> delegate;
@property (nonatomic, assign) CGFloat secondLength;
@property (nonatomic, strong) SXVETrackModel *model;
@property (nonatomic, strong) MASConstraint *leftCon;

@property (nonatomic, strong) SXAudioThumbnailCache *audioCache;


- (instancetype)initWithType:(SXVETrackModel *)model;

- (void)updateView;

- (void)controlInpointTranslate:(CGFloat)translate;

- (void)controlEndTranslate:(CGFloat)translate;

@end

NS_ASSUME_NONNULL_END
