//
//  SXVETracksTableViewCell.m
//  SXVideoEditDemo
//
//  Created by Yin Xie on 2020/3/26.
//  Copyright © 2020 Yin Xie. All rights reserved.
//

#import "SXVETracksTableViewCell.h"


@interface SXVETracksTableViewCell()

@end

@implementation SXVETracksTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void)updateTracksView {
    if (_tracksContentView) {
        for (UIView *view in _tracksContentView.subviews) {
            [view removeFromSuperview];
        }
    }else {
        _tracksContentView = [[UIView alloc] init];
        [self.contentView addSubview:_tracksContentView];
        [_tracksContentView mas_makeConstraints:^(MASConstraintMaker *make) {
            CGFloat startX = [UIScreen mainScreen].bounds.size.width / 2 - 30;
            make.left.mas_equalTo(startX);
            make.right.equalTo(self.contentView.mas_right).mas_offset(-startX);
            make.centerY.equalTo(self.contentView);
            make.height.mas_equalTo(34);
        }];
    }
}

- (void)setTracks:(NSArray *)tracks trackViewDelegate:(id<SXVETrackViewDelegate>)delegate {
    [self updateTracksView];
    int trackViewTag = 500;
    for (SXVETrackModel *model in tracks) {
        SXVETrackView *trackView = [[SXVETrackView alloc] initWithType:model];
        trackView.audioCache = _audioCache;
        trackView.delegate = delegate;
        trackView.tag = trackViewTag++;
        [self.tracksContentView addSubview:trackView];
        if (!model.track && !model.effect && !model.audioItem) {
            [trackView mas_updateConstraints:^(MASConstraintMaker *make) {
                make.width.equalTo(self.tracksContentView).with.mas_equalTo(-60.0);
                make.left.equalTo(self.tracksContentView).with.mas_equalTo(30.0);
                make.top.bottom.equalTo(self.tracksContentView);
            }];
        }else {
            if (model.track) {
                trackView.frame = CGRectMake(model.track.inPoint * _secondLength + 30, 0.0, model.track.duration * _secondLength, 34);
            }else if (model.effect) {
                trackView.frame = CGRectMake(model.effect.startTime * _secondLength + 30, 0.0, model.effect.duration * _secondLength, 34);
            }else if (model.audioItem) {
                trackView.frame = CGRectMake(model.audioItem.inPoint * _secondLength + 30, 0.0, model.audioItem.duration * _secondLength, 34);
            }
            
        }
        
    }
}

@end
